#ifndef _ASTRODT_H
#define _ASTRODT_H
#include <time.h>
#include <sys/time.h>

/** \brief        (UTC). */
class AstroDateTime {
	int utc_year; ///<   
	int utc_month; ///<   
	int utc_day; ///<   
	int utc_hour;
	int utc_min;
	int utc_sec;
	int utc_msec;
	int _julian;
	double _s0;
	int start_loc_year; //     
	int start_loc_month; //    
	int start_loc_day; //        -12h, ..   
	struct timeval hightime;
	struct tm* curr;
	time_t	start_midnight;
public:
	AstroDateTime( void ); ///< ,      
	void current(void); ///<   
	///< \note  >24h UTC   25, 26h,       ,    
	/// (    )    \b  .
	int year( void ); ///<  4-   
	int month( void ); ///<   
	int day( void ); ///<   
	int hour( void ); ///<   
	int min( void ); ///<   
	int sec( void ); ///<   
	int msec( void ); ///<   
	int julian( int Y, int m, int d); ///<    	  \a Y - \a m - \a d
	int julian( void ); ///<      
	char *strTime( void ); ///<     HH:MM:SS.SSS
	char *strDate( void ); ///<   \b     YYYY-MM-DD
	char *strFileName( void ); ///<   \b     YYMMDD
	double s0( void ); ///<         ,   
	double currentSec( void ); ///<        
	double sidTime( double longitude); ///<    ( \a 
		///<longitude   , 0<=l<1)  ,   
};

#endif
