#define MODULE          0x10
#define FOSC14         14746

#define GET_IDENT       0xA2
#define REPROGRAMMING   0xC0
#define GET_PART        0xA0
#define READ_FLASH      0xA1
#define WRITE_PAGE      0xC1
#define TEST_PAGE       0x84
#define RESET           0x87
#define SET_POINT       0x55
#define GET_STATUS      0xE0
#define GET_FUSEL       0xE1
#define GET_FUSE2       0xE2
#define GET_LOCKB       0xE3
#define GET_RC_CAL      0xE4

#define FULL_SIZE		0x1000
#define MAX_SIZE		0x20
#define PAGE_SIZE_8       0x20        // 32 words for ATMega8
#define PAGE_SIZE_16       0x40        // 64 words for ATMega16
#define PART_SIZE       0x08        //  8 words
#define PART_LENGTH     0x10        // 16 bytes
#define PROG_DATE_8       0x14        // Location of ProgDate for ATMega8
#define LINE_PARS_8       0x15        // Location of line parameters for ATMega8
#define PROG_DATE_16       0x31        // Location of ProgDate for ATMega16
#define LINE_PARS_16       0x32        // Location of line parameters for ATMega16
#define RC_CORR         0xDFF       // Location of RC calibration
#define APPLICATION     0x04        // identification length in application mode
#define UPDATE          0x02        // identification length in boot mode

enum { WRITE, DUMP, RC_UPDATE };
/*
Options:
--------
-b writteraddress
-a applicationaddress
-R exchangerate for application
-r bauderate for loading
-f another oscillator frequency
*/
